Bug 40471 - Installer hangs in text mode
Summary: Installer hangs in text mode
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-14 06:21 UTC by udippel
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci for installed system (7.1 - graphical install) (2.60 KB, text/plain)
2001-05-22 23:57 UTC, udippel
no flags Details
Sorry, sorry, here the complete "dump" as off root (2.69 KB, text/plain)
2001-05-23 14:20 UTC, udippel
no flags Details

Description udippel 2001-05-14 06:21:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; 0.8.1)
Gecko/20010425

Description of problem:
Installer hangs reproduceably in text mode; in graphical mode goes through.

How reproducible:
Always

Steps to Reproduce:
1.insert 1. CDROM, start, text mode
2.English (US) - de keyboard
3.3-button PS/2-mouse (detected correctly)
4.Custom system

	

Actual Results:  end. dead. no del+alt+ctrl; only Reset-button

Expected Results:  Installed !!!

Additional info:

Graphical install works fine!

Probably ask for system:
Duron 800, 128MBRAM, MSI6330K7 T Pro2A
ATI RAGE Pro, 8MB

Comment 1 Brent Fox 2001-05-14 15:17:39 UTC
That's really weird.  We have a Duron test machine here that works fine.  Do you
see any error messages or anything?  Can you look on VC3 and VC4, or is the
machine too hard locked to do that?

Comment 2 udippel 2001-05-16 02:12:56 UTC
Needinfo comes here:
*could* be my CDROM??

VC3 stops at
*Detected 128 M of memeory
*swap attempt of 128 M to 256 M

VC4 stops at
<4>hdb: ATAPI reset timed-out, status=0xd0 reset
<4>ide0: reset timed-out, status 0xd0
<4>hdb: status timeout: status 0xd0 {Busy}

Hope this helps!

Comment 3 Brent Fox 2001-05-16 20:15:54 UTC
Hmmm...can you try booting with 'linux ide=nodma'?  Does that help?

Comment 4 udippel 2001-05-19 14:11:57 UTC
okay, tried it (how do you write all that stuff into a file?? Can't possibly 
note down pages!). In any case: similar result. Some of the VC4 are:
....
ide_dmaproc: chipset supported ide_dma_timeout func only: 14
....
....
<4>hdb: DMA disabled (new here compared to before)
....
<
<4>hdb: ATAPI reset timed-out, status=0xd0
<4>ide0: reset timed-out, status 0xd0
<4>hdb: status timeout: status 0xd0 {Busy}
<4> drive not ready for command (new here compared to before)


Comment 5 Brent Fox 2001-05-21 17:42:23 UTC
This is starting to sound like a kernel problem.

Comment 6 Arjan van de Ven 2001-05-22 08:14:05 UTC
If the machine is running a linux already, could you give the output of
"lspci -v" ? ("lspci -v > file" will send it to file "file" which you then
can attach to this bug)

Comment 7 udippel 2001-05-22 23:57:14 UTC
Created attachment 19352 [details]
lspci for installed system (7.1 - graphical install)

Comment 8 udippel 2001-05-23 14:20:06 UTC
Created attachment 19392 [details]
Sorry, sorry, here the complete "dump" as off root

Comment 9 Jef Spaleta 2003-01-06 08:26:07 UTC
I have a pentium 100 system that is experiencing a similar hang in text mode but
at a different location. I lose all keyboard control after the mediacheck dialog
page. Nothing jumps out to me on VC3 or VC4.

Redhat 7.x installs on this thing just fine...
I will get back to you with the lscpi -v log when I'm done reinstalling rh 7.x
on this thing.

Comment 10 Bugzilla owner 2004-09-30 15:38:59 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.